GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations Class Reference

## Public Member Functions
String | getStartDate ()
void | setStartDate (String value)
String | getEndDate ()
void | setEndDate (String value)

## Protected Attributes
String | startDate
String | endDate

## Detailed Description

Holidays startDate -> endDate

Java class for Vacations complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Vacations">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file Vacations.java.

## Member Function Documentation

## ◆ getEndDate()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations.getEndDate | ( |  | ) |

Gets the value of the endDate property.

Returns
  possible object is String

Definition at line 76 of file Vacations.java.

## ◆ getStartDate()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations.getStartDate | ( |  | ) |

Gets the value of the startDate property.

Returns
  possible object is String

Definition at line 52 of file Vacations.java.

## ◆ setEndDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations.setEndDate | ( | String | value | ) |

Sets the value of the endDate property.

Parameters

  value | allowed object is String

Definition at line 88 of file Vacations.java.

## ◆ setStartDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations.setStartDate | ( | String | value | ) |

Sets the value of the startDate property.

Parameters

  value | allowed object is String

Definition at line 64 of file Vacations.java.

## Member Data Documentation

## ◆ endDate

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations.endDate
| protected

Definition at line 42 of file Vacations.java.

## ◆ startDate

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Vacations.startDate
| protected

Definition at line 40 of file Vacations.java.

The documentation for this class was generated from the following file:

- Vacations.java